Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDataWidgetMapper.SubmitPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDataWidgetMapper.SubmitPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDataWidgetMapper

    public static final class QDataWidgetMapper.SubmitPolicy

extends java.lang.Enum
implements QtEnumerator

This enum describes the possible submit policies a `QDataWidgetMapper` supports.

See Also:
  Serialized Form

Field Summary
`static QDataWidgetMapper.SubmitPolicy` | `AutoSubmit` Whenever a widget loses focus, the widget's current value is set to the item model.
`static QDataWidgetMapper.SubmitPolicy` | `ManualSubmit` The model is not updated until `submit()` is called.

Method Summary
`static QDataWidgetMapper.SubmitPolicy` | `resolve(int value)` Returns the QDataWidgetMapper$SubmitPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataWidgetMapper.SubmitPolicy` | `valueOf(java.lang.String name)`
`static QDataWidgetMapper.SubmitPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AutoSubmit

    public static final QDataWidgetMapper.SubmitPolicy AutoSubmit

  Whenever a widget loses focus, the widget's current value is set to the item model.

### ManualSubmit

    public static final QDataWidgetMapper.SubmitPolicy ManualSubmit

  The model is not updated until `submit()` is called.

Method Detail

### values

    public static QDataWidgetMapper.SubmitPolicy[] values()

### valueOf

    public static QDataWidgetMapper.SubmitPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataWidgetMapper.SubmitPolicy resolve(int value)

  Returns the QDataWidgetMapper$SubmitPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD